Loading...
Searching...
No Matches
FptIndexHeader Struct Reference

`#include <openbabel/fingerprint.h>`

## Public Attributes

unsigned int | headerlength
unsigned int | nEntries
unsigned int | words
char | fpid [15]
char | seek64
char | datafilename [256]

## Detailed Description

Header for fastsearch index file.

## Member Data Documentation

## headerlength

unsigned int headerlength

offset to data: sizeof(FptIndexHeader)

Referenced by FastSearchIndexer::FastSearchIndexer(), and FastSearchIndexer::~FastSearchIndexer().

## nEntries

unsigned int nEntries

number of fingerprints

Referenced by FastSearchIndexer::~FastSearchIndexer().

## words

unsigned int words

number 32bit words per fingerprint

Referenced by FastSearchIndexer::FastSearchIndexer(), and FastSearchIndexer::~FastSearchIndexer().

## fpid

char fpid[15]

ID of the fingerprint type.

Referenced by FastSearchIndexer::~FastSearchIndexer().

## seek64

char seek64

Referenced by FastSearchIndexer::~FastSearchIndexer().

## datafilename

char datafilename[256]

the data that this is an index to

Referenced by FastSearchIndexer::~FastSearchIndexer().

The documentation for this struct was generated from the following file:

- fingerprint.h